Current build of python-nbxmpp make Gajim non-functional with non-UTF-8 certificated servers [upstream not affected]

Bug #1786448 reported by Taddeo Manzi on 2018-08-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-nbxmpp (Ubuntu)
Undecided
Unassigned

Bug Description

packaged version suffer from bug https://dev.gajim.org/gajim/python-nbxmpp/issues/52
package need to be re-compiled from master to get the fix. Any app using the package can't connect to servers using non-UTF-8 certificates (like conversations.im)

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: python3-nbxmpp 0.6.6-1
Uname: Linux 4.18.0-999-generic x86_64
ApportVersion: 2.20.10-0ubuntu7
Architecture: amd64
CurrentDesktop: GNOME
Date: Fri Aug 10 11:58:44 2018
InstallationDate: Installed on 2017-01-12 (574 days ago)
InstallationMedia: Xubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: python-nbxmpp
UpgradeStatus: Upgraded to cosmic on 2018-07-24 (16 days ago)

Taddeo Manzi (sinistristradali) wrote :
summary: - Gajim can't connect to any server with non-UTF-8 certificate
+ Current build of python-nbxmpp make Gajim non-functional with non-UTF-8
+ certificated servers [upstream not affected]
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers